com.fasterxml.jackson.databind.introspect

## Class AnnotatedMethodCollector

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.AnnotatedMethodCollector

-     public class AnnotatedMethodCollector
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AnnotationIntrospector` | `_intr`
    `protected static AnnotationMap[]` | `NO_ANNOTATION_MAPS`
    `protected static Annotation[]` | `NO_ANNOTATIONS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `_addMethodMixIns(TypeResolutionContext tc, Class<?> targetClass, Map<MemberKey,com.fasterxml.jackson.databind.introspect.AnnotatedMethodCollector.MethodBuilder> methods, Class<?> mixInCls)`
    `protected static boolean` | `_ignorableAnnotation(Annotation a)`
    `protected AnnotationCollector` | `collectAnnotations(Annotation[] anns)`
    `protected AnnotationCollector` | `collectAnnotations(AnnotationCollector c, Annotation[] anns)`
    `protected AnnotationCollector` | `collectDefaultAnnotations(AnnotationCollector c, Annotation[] anns)`
    `protected AnnotationCollector` | `collectDefaultFromBundle(AnnotationCollector c, Annotation bundle)`
    `protected AnnotationCollector` | `collectFromBundle(AnnotationCollector c, Annotation bundle)`
    `static AnnotatedMethodMap` | `collectMethods(AnnotationIntrospector intr, TypeResolutionContext tc, ClassIntrospector.MixInResolver mixins, TypeFactory types, JavaType type, List<JavaType> superTypes, Class<?> primaryMixIn, boolean collectAnnotations)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_ANNOTATION_MAPS

          protected static final AnnotationMap[] NO_ANNOTATION_MAPS

    - #### NO_ANNOTATIONS

          protected static final Annotation[] NO_ANNOTATIONS

    - #### _intr

          protected final AnnotationIntrospector _intr

  - ### Method Detail

    - #### collectMethods

          public static AnnotatedMethodMap collectMethods(AnnotationIntrospector intr,
                                                          TypeResolutionContext tc,
                                                          ClassIntrospector.MixInResolver mixins,
                                                          TypeFactory types,
                                                          JavaType type,
                                                          List<JavaType> superTypes,
                                                          Class<?> primaryMixIn,
                                                          boolean collectAnnotations)

    - #### _addMethodMixIns

          protected void _addMethodMixIns(TypeResolutionContext tc,
                                          Class<?> targetClass,
                                          Map<MemberKey,com.fasterxml.jackson.databind.introspect.AnnotatedMethodCollector.MethodBuilder> methods,
                                          Class<?> mixInCls)

    - #### collectAnnotations

          protected final AnnotationCollector collectAnnotations(Annotation[] anns)

    - #### collectAnnotations

          protected final AnnotationCollector collectAnnotations(AnnotationCollector c,
                                                                 Annotation[] anns)

    - #### collectFromBundle

          protected final AnnotationCollector collectFromBundle(AnnotationCollector c,
                                                                Annotation bundle)

    - #### collectDefaultAnnotations

          protected final AnnotationCollector collectDefaultAnnotations(AnnotationCollector c,
                                                                        Annotation[] anns)

    - #### collectDefaultFromBundle

          protected final AnnotationCollector collectDefaultFromBundle(AnnotationCollector c,
                                                                       Annotation bundle)

    - #### _ignorableAnnotation

          protected static final boolean _ignorableAnnotation(Annotation a)

Copyright © 2008–2020 FasterXML. All rights reserved.